function toggleSiteSideMenu() {
    let displayStyle = document.getElementById("be-site-side-menu").style.display;
    if (displayStyle === "flex") {
	document.getElementById("be-site-side-menu").style.display = "none";
    } else {
	    document.getElementById("be-site-side-menu").style.display = "flex";
	}
}

function closeAlert() {
    document.getElementById("be-alert-container").style.display = "none";
}

function copyToClipBoard (slug) {
    let URL = location.protocol + "//" + location.host + "/storage/view/media/" + slug;
    let popup = document.getElementById(slug + "-popup");
    navigator.clipboard.writeText(URL).then(() => {
        /* Resolved - text copied to clipboard */
        console.log("Copied: " + URL + " to clipboard.");
        popup.style.visibility = "visible";
        setTimeout(function () {
            popup.style.visibility = "hidden";
        }, 2000);
        
    },() => {
        /* Rejected - clipboard failed */
        console.log("Couldn't copy " + URL + " to clipboard");
    });
}
